GPASSWD(1)

NAME
gpasswd - administer /etc/group and /etc/gshadow

ÜBERSICHT

gpasswd [option] group

BESCHREIBUNG

The gpasswd command is used to administer /etc/group, and /etc/gshadow. Every group can have administrators, members and a password.

System administrators can use the -A option to define group administrator(s) and the -M option to define members. They have all rights of group administrators and members.

gpasswd called by a group administrator with a group name only prompts for the new password of the group.

If a password is set the members can still use newgrp(1) without a password, and non-members must supply the password.

  Hinweise zu Gruppenpasswörtern

Gruppenpasswörter bergen ein Sicherheitsrisiko, da mehrere Personen das Passwort kennen. Dennoch sind Gruppen ein nützliches Mittel für die Zusammenarbeit zwischen Benutzern.

OPTIONEN

Except for the -A and -M options, the options cannot be combined.

The options which apply to the gpasswd command are:

-a, --add user
    Add the user to the named group.

-d, --delete user
    Remove the user from the named group.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-Q, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-r, --remove-password
    Remove the password from the named group. The group password will be empty. Only group members will be allowed to use newgrp to join the named group.

-R, --restrict
    Restrict the access to the named group. The group password is set to "!". Only group members with a password will be allowed to use newgrp to join the named group.

-A, --administrators user,...
    definiert eine Liste von Benutzern als Gruppenverwalter

-M, --members user,...
    definiert eine Liste von Benutzern als Gruppenmitglieder

WARNUNGEN

This tool only operates on the /etc/group and /etc/gshadow files. Thus you cannot change any NIS or LDAP group. This must be performed on the corresponding server.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    geschützte Informationen zu den Gruppenkonten

SIEHE AUCH

newgrp(1), groupadd(8), groupdel(8), groupmod(8), grpck(8), group(5), gshadow(5).